#ifndef __GPOD_FEED_PARSER_H__
#define __GPOD_FEED_PARSER_H__

#include "gpod-feed.h"
#include "gpod-feed-item.h"

#include <libxml/parser.h>
#include <libxml/tree.h>

#include <gio/gio.h>
#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED_PARSER (gpod_feed_parser_get_type ())

G_DECLARE_FINAL_TYPE (GpodFeedParser, gpod_feed_parser, GPOD, FEED_PARSER, GObject)

GpodFeedParser *
gpod_feed_parser_new ();

GpodFeed *
gpod_feed_parser_from_url (GpodFeedParser  *self,
                           gchar           *url);

G_END_DECLS

#endif /* __GPOD_FEED_PARSER_H__ */
