#ifndef __GPOD_TYPES_PRIVATE_H__
#define __GPOD_TYPES_PRIVATE_H__

#include "gpod-types.h"

#include <glib.h>

G_BEGIN_DECLS

struct _GpodFeed
{
    GpodChannel *channel;

    volatile gint ref_count;
};

struct _GpodChannel
{
    gchar *title;
    gchar *description;
    gchar *link;
    gchar *publish_date;
    gchar *last_build_date;
    gchar *image;

    GPtrArray *items;

    volatile gint ref_count;
};

struct _GpodItem
{
    gchar *title;
    gchar *description;
    gchar *link;
    gchar *publish_date;
    gchar *enclosure;
    gchar *guid;

    volatile gint ref_count;
};

G_END_DECLS

#endif /* __GPOD_TYPES_PRIVATE_H__ */

